
function checkFormatflowed()
{
  elmgraphicalq = document.getElementById("graphicalquoting");
  if(elmgraphicalq.checked) return;

  var elmformatflowed = document.getElementById("formatflowed");
  if(elmformatflowed.checked) return;

  var bundleSettings = document.getElementById("bundle_qcsettings");
  
  if( window.confirm(bundleSettings.getString("disableFormatFlowedLabel")) )
  {
    // disable format=flowed
    elmformatflowed.checked=true;
  }
  else
  {
    // user doesn't want to disable format=flowed,
    // so we enable graphical quoting since it won't work
    elmgraphicalq.checked=true;        
  }
}

function doUninstall()
{
  var bundleSettings = document.getElementById("bundle_qcsettings");
  
  if( window.confirm(bundleSettings.getString("confirmUninstall")) )
  {
    var unreg = new exUnregisterer(
                      'chrome://messenger-quotecolors/content/contents.rdf',
		                  'jar:%chromeFolder%quotecolors.jar!/locale/en-US/messenger-quotecolors/contents.rdf'
                    );
    unreg.unregister();
    if( window.confirm(bundleSettings.getString("confirmDeletePrefs")) ) {
      unreg.removePrefs('quotecolors');
    }
    window.close();
  }
  
  
}